1.1
1.1
put /v1/repositories/{repository_id}/pull-policy
Description
update repository pull-policy
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | repository_id required | Repository ID Example : e5611ca6c1484df480668c5adce8b078 | string | None |
| body | body required | PullPolicySetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/repositories/{repository_id}/pull-policy
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.1"
Request body
{
"pull_policy": {
"critical_limit": 20,
"high_limit": 20,
"unmodified_excepted": true,
"unscanned_image_pull_prevented": true,
"vulnerable_image_pull_prevented": true
}
}